osl::progress::PtypeProgressTable Class Reference

ゲームの進行度を駒が自陣からどの程度前に進んでいるかの和で表現 More...

`#include <ptypeProgress.h>`

## Public Member Functions

void | init ()
| ~PtypeProgressTable ()
int | progress (PtypeO ptypeo, Square pos) const

## Private Attributes

CArray< int, PTYPE_SIZE > | ptype2Val
CArray2d< int, PTYPEO_SIZE, Square::SIZE > | pos2Val

## Static Private Attributes

static const CArray< int, 10 > | yVals
| y 座標に対応した進行度の係数、最初は0 (使用しない)

## Detailed Description

ゲームの進行度を駒が自陣からどの程度前に進んでいるかの和で表現

Definition at line 14 of file ptypeProgress.h.

## Constructor & Destructor Documentation

## ~PtypeProgressTable()

osl::progress::PtypeProgressTable::~PtypeProgressTable | ( |  | ) |

Definition at line 146 of file ptypeProgress.cc.

## Member Function Documentation

## init()

void osl::progress::PtypeProgressTable::init | ( |  | ) |

Definition at line 113 of file ptypeProgress.cc.

References osl::BISHOP, osl::BLACK, osl::GOLD, osl::Square::index(), osl::KING, osl::KNIGHT, osl::LANCE, osl::newPtypeO(), osl::PAWN, osl::PBISHOP, osl::PKNIGHT, osl::PLANCE, pos2Val, osl::PPAWN, osl::PROOK, osl::PSILVER, ptype2Val, osl::PTYPE_MAX, osl::PTYPE_MIN, osl::PTYPEO_MIN, osl::ROOK, osl::SILVER, osl::Square::STAND(), osl::WHITE, and yVals.

## progress()

int osl::progress::PtypeProgressTable::progress | ( | PtypeO | ptypeo,
|  | Square | pos ) const

inline

Definition at line 23 of file ptypeProgress.h.

References osl::Square::index(), pos2Val, and osl::PTYPEO_MIN.

## Member Data Documentation

## pos2Val

CArray2d<int,PTYPEO_SIZE,Square::SIZE> osl::progress::PtypeProgressTable::pos2Val

private

Definition at line 18 of file ptypeProgress.h.

Referenced by init(), and progress().

## ptype2Val

CArray<int,PTYPE_SIZE> osl::progress::PtypeProgressTable::ptype2Val

private

Definition at line 17 of file ptypeProgress.h.

Referenced by init().

## yVals

const osl::CArray< int, 10 > osl::progress::PtypeProgressTable::yVals

static private

Initial value:
=
{{
0,4,4,4,3,2,1,0,0,0
}}

y 座標に対応した進行度の係数、最初は0 (使用しない)

Definition at line 11 of file ptypeProgress.h.

Referenced by init().

The documentation for this class was generated from the following files:

- ptypeProgress.h
- ptypeProgress.cc